<?php

namespace Fivable\Buildable\Policies;

use App\User;
use Fivable\Buildable\Models\BuildableMenu;
use Illuminate\Auth\Access\HandlesAuthorization;

class BuildableMenuPolicy
{
    use HandlesAuthorization;


    /**
     * Determine whether the User can view an index of BuildableMenus
     * @param User $user
     * @return bool
     */
    public function viewIndex(User $user) : bool
    {
        return true;
    }

    /**
     * Determine whether the User can view this BuildableMenu
     * @param  User  $user
     * @param  BuildableMenu  $buildableMenu
     * @return bool
     */
    public function view(User $user, BuildableMenu $buildableMenu) : bool
    {
        return true;
    }

    /**
     * Determine whether the User can create new BuildableMenus
     * @param  User  $user
     * @return bool
     */
    public function create(User $user) : bool
    {
        return true;
    }

    /**
     * Determine whether the user can update this BuildableMenu
     * @param  User  $user
     * @param  BuildableMenu  $buildableMenu
     * @return bool
     */
    public function update(User $user) : bool
    {
        return true;
    }

    /**
     * Determine whether the User can delete this BuildableMenu
     * @param  User  $user
     * @param  BuildableMenu  $buildableMenu
     * @return bool
     */
    public function delete(User $user, BuildableMenu $buildableMenu) : bool
    {
        return true;
    }
}
